Create a community (staff)
POST /api/communities. Create a community (staff). Headless LMS Communities API reference.
Owner or admin only. The community starts as a draft with the default direct-message settings and no spaces. Members see it once it is published and they hold it.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{ "orgId": "string", "id": "string", "type": "community", "title": "string", "slug": "string", "description": "string", "status": "draft", "thumbnailAssetId": "string", "settings": { "dm": { "enabled": true, "memberToMember": true, "memberToStaff": true, "staffToAnyone": true, "firstMessageIsRequest": true, "groupChats": true, "groupSize": 1 } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "thumbnailUrl": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}